Bug 180053 - net/samba-smbclient: Shared object "libtevent.so.0" not found, required by "smbclient"
Summary: net/samba-smbclient: Shared object "libtevent.so.0" not found, required by "s...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Timur I. Bakeyev
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-28 12:30 UTC by Lawrence Chen
Modified: 2017-02-16 18:41 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lawrence Chen 2013-06-28 12:30:00 UTC
	
	After upgrading from samba36-smbclient-3.6.13 to samba36-smbclient-3.6.16,
	smbclient fails due to missing shared library.

	The full samba36 install has the library, but I only need smbclient for
	my nagios check.

Fix: 

When I do pkg_info -r samba36-smbclient-3.6.16, I see it has a
	dependency on talloc-2.0.8 and tdb-1.2.11,1, so perhaps it needs to
	depend on tevent-0.9.18 (though version included in full samba3.6.16
	is 0.9.11).

	Wonder if net/samba36 should use devel/tevent instead of its own, to be
	consistent with its use of databases/tdb and devel/talloc?

	Installing devel/tevent resolved the runtime error for me.
How-To-Repeat: 	
	build/install/upgrade to this version.

	# ./check_smb_share -H host -s share -u user -p password
	CRITICAL SMB Sharename: share Shared object "libtevent.so.0" not found, required by "smbclient"
Comment 1 Edwin Groothuis freebsd_committer 2013-06-28 12:30:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->timur

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2013-07-01 03:41:40 UTC
Author: timur
Date: Mon Jul  1 02:41:31 2013
New Revision: 322112
URL: http://svnweb.freebsd.org/changeset/ports/322112

Log:
  Fixed typo in the patch that broke winbind_krb5_locator linking. Add external
  dependency on tevent library.
  
  PR:		180074, 180053

Modified:
  head/net/samba36/Makefile
  head/net/samba36/files/patch-source3__Makefile.in

Modified: head/net/samba36/Makefile
==============================================================================
--- head/net/samba36/Makefile	Mon Jul  1 02:36:07 2013	(r322111)
+++ head/net/samba36/Makefile	Mon Jul  1 02:41:31 2013	(r322112)
@@ -2,7 +2,7 @@
 
 PORTNAME=		${SAMBA_BASENAME}36
 PORTVERSION=		3.6.16
-PORTREVISION?=		0
+PORTREVISION?=		1
 CATEGORIES?=		net
 MASTER_SITES=		${MASTER_SITE_SAMBA}
 MASTER_SITE_SUBDIR=	samba samba/stable samba/pre
@@ -90,6 +90,10 @@ CONFIGURE_ARGS+=	--without-libtdb --enab
 BUILD_DEPENDS+=		talloc>=2.0.1:${PORTSDIR}/devel/talloc
 RUN_DEPENDS+=		talloc>=2.0.1:${PORTSDIR}/devel/talloc
 CONFIGURE_ARGS+=	--without-libtalloc --enable-external-libtalloc
+# tevent
+BUILD_DEPENDS+=		tevent>=0.9.11:${PORTSDIR}/devel/tevent
+RUN_DEPENDS+=		tevent>=0.9.11:${PORTSDIR}/devel/tevent
+CONFIGURE_ARGS+=	--without-libtevent --enable-external-libtevent
 # These options are common for all (sub)ports
 CONFIGURE_ARGS+=	--with-libiconv="${LOCALBASE}" \
 			--disable-as-needed

Modified: head/net/samba36/files/patch-source3__Makefile.in
==============================================================================
--- head/net/samba36/files/patch-source3__Makefile.in	Mon Jul  1 02:36:07 2013	(r322111)
+++ head/net/samba36/files/patch-source3__Makefile.in	Mon Jul  1 02:41:31 2013	(r322112)
@@ -1,5 +1,5 @@
 --- ./source3/Makefile.in.orig	2013-06-19 07:35:24.000000000 +0000
-+++ ./source3/Makefile.in	2013-06-27 02:34:58.169873859 +0000
++++ ./source3/Makefile.in	2013-06-30 04:26:08.399888796 +0000
 @@ -151,7 +151,7 @@
  # These can be overridden by command line switches (see smbd(8))
  # or in smb.conf (see smb.conf(5))
@@ -38,19 +38,19 @@
  PRECOMPILED_HEADER = $(builddir)/include/includes.h.gch
  
  # this adds support for precompiled headers. To use it, install a snapshot
-@@ -2856,9 +2860,10 @@
+@@ -2856,9 +2860,9 @@
  		$(LDAP_LIBS) $(KRB5LIBS) $(LIBS) $(LIBTALLOC_LIBS) $(LIBTEVENT_LIBS) $(LIBTDB_LIBS) $(ZLIB_LIBS) \
  		@SONAMEFLAG@`basename $@`@NSSSONAMEVERSIONSUFFIX@
  
 -bin/winbind_krb5_locator.@SHLIBEXT@: $(BINARY_PREREQS) $(WINBIND_KRB5_LOCATOR_OBJ) $(LIBWBCLIENT)
 +bin/winbind_krb5_locator.@SHLIBEXT@: $(BINARY_PREREQS) $(WINBIND_KRB5_LOCATOR_OBJ) $(LIBTALLOC) $(LIBWBCLIENT)
  	@echo "Linking $@"
- 	@$(SHLD) $(LDSHFLAGS) -o $@ $(WINBIND_KRB5_LOCATOR_OBJ) $(LIBWBCLIENT_LIBS) $(KRB5LIBS) \
+-	@$(SHLD) $(LDSHFLAGS) -o $@ $(WINBIND_KRB5_LOCATOR_OBJ) $(LIBWBCLIENT_LIBS) $(KRB5LIBS) \
 +	@$(SHLD) $(LDSHFLAGS) -o $@ $(WINBIND_KRB5_LOCATOR_OBJ) $(LIBTALLOC_LIBS) $(LIBWBCLIENT_LIBS) $(KRB5LIBS) \
  		$(LIBREPLACE_LIBS) @SONAMEFLAG@`basename $@`
  
  bin/pam_winbind.@SHLIBEXT@: $(BINARY_PREREQS) $(PAM_WINBIND_OBJ) $(LIBTALLOC) $(LIBTEVENT) $(LIBWBCLIENT)
-@@ -3215,7 +3220,8 @@
+@@ -3215,7 +3219,8 @@
  	@echo "Linking shared library $@"
  	@$(SHLD) $(LDSHFLAGS) -o $@ $(PAM_SMBPASS_OBJ) $(LIBCLI_LDAP_NDR_OBJ) -lpam $(DYNEXP) \
  		$(LIBS) $(LDAP_LIBS) $(NSCD_LIBS) \
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Timur I. Bakeyev freebsd_committer 2013-07-01 03:43:53 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 commit-hook freebsd_committer 2017-02-16 18:41:32 UTC
A commit references this bug:

Author: lx
Date: Thu Feb 16 18:40:28 UTC 2017
New revision: 434239
URL: https://svnweb.freebsd.org/changeset/ports/434239

Log:
  Move to luasocket-51.

  PR:		180053
  Submitted by:	David Demelier

Changes:
  head/audio/lua51-mpd/Makefile